#include <stdio.h>
#include <stdlib.h>
#include "stabla.h"

typedef struct _red{
	cvor **red; //svaki element niza je adresa cvora iz stabla
	int pocetak;
	int kraj;
}red;

int main(){
	cvor *stablo = ucitaj_stablo();
	red r; 
	r.red = malloc(1000 * sizeof(cvor*)); //alociramo adrese cvorova
	if(r.red == NULL)
		greska();
	r.red[0] = stablo;
	r.pocetak = 0;
	r.kraj = 1;
	
	while(r.pocetak != r.kraj){
		//uzimamo elenment sa pocetka reda
		//ispisujemo ga
		//i u red dodajemo njegovu decu
		
		cvor *c = r.red[r.pocetak];
		printf("%d ", c->vrednost);
		
		r.pocetak++;
		
		if(c->l != NULL){
			r.red[r.kraj] = c->l;
			r.kraj++;
		}
		
		if(c->d != NULL){
			r.red[r.kraj] = c->d;
			r.kraj++;
		}
	}
	
	free(r.red);
	stablo = oslobodi(stablo);
}